Skip to main content

Retrieve Transient Token


Use this information to retrieve transient token details, which include the instrument identifier token and payment instrument token.

The payment instrument token is used for token management. The instrument identifier is used for these transactions:

  • Merchant-initiated debt recovery
  • Stand-alone credit

Endpoints

POST /tms/v2/taps/{id}

POST /tms/v2/taps/{id}

The {id} is the ID that was returned in the token creation response message.

{    "id": "a76392f4-cde4-97aa-1111-0252ac14c005",    "paymentInformation": {        "card": {            "expirationMonth": "12",            "expirationYear": "2030"        }    },    "pointOfSaleInformation": {        "deviceId": "FF123457",        "emv": {            "applicationIdentifier": "A0000000031010",            "applicationLabel": "Company"        }    },    "processingInformation": {        "industryDataType": "transit"    },    "tokenInformation": {        "instrumentIdentifier": {            "id": "CD616772D8355EA6E53AF598E0AE794"        },        "paymentInstrument": {            "id": "DB0875B76F95085CE053AF598E0A6354"        }    },    "_links": {        "self": {            "href": "/tms/v2/taps/a76392f4-cde4-97aa-1111-0252ac14c005"        },        "paymentInstrument": {            "href": "/tms/v1/paymentinstruments/DB0875B76F95085CE053AF598E0A6354"        },        "instrumentIdentifier": {            "href": "/tms/v1/instrumentidentifiers/CD616772D835EA6E53AF598E0AE794"        }    }}

Last published: September 29, 2026